#![feature(test)]

extern crate test;

#[cfg(test)]
mod tests {
    use syrac_score::task::Task;
    use test::Bencher;

    #[bench]
    fn bench_task_optimization(b: &mut Bencher) {
        let contents = include_str!("../data/2024-pwca-monroe-t3.xctsk");
        let task = Task::from_xctsk_contents(contents).unwrap();
        b.iter(|| task.find_shortest_route().unwrap());
    }
}
